message(Using Qt sources from $(QTSRCDIR))
ASSISTANT_LIB_DIR = "$(QTSRCDIR)/tools/assistant/lib"

QBASE_LOCATION = "$(QTSRCDIR)/src/qbase.pri"
include($${QBASE_LOCATION}) | error(File $${QBASE_LOCATION} not found)

TARGET = doxygen2qthelp
TEMPLATE = app
DESTDIR = $$PWD
QT += sql xml
DEFINES += QHELP_LIB
# DEFINES += HELP_LIB_DATA_DEBUG
CONFIG += qt warn_on console
CONFIG += release

QMAKE_TARGET_PRODUCT = doxygen2qthelp
QMAKE_TARGET_DESCRIPTION = Doxygen to Qt Help command line converter.
DEFINES -= QT_ASCII_CAST_WARNINGS

RESOURCES += $${ASSISTANT_LIB_DIR}/helpsystem.qrc

SOURCES += \
    $${ASSISTANT_LIB_DIR}/qhelpenginecore.cpp \
    $${ASSISTANT_LIB_DIR}/qhelpengine.cpp \
    $${ASSISTANT_LIB_DIR}/qhelpdbreader.cpp \
    $${ASSISTANT_LIB_DIR}/qhelpcontentwidget.cpp \
    $${ASSISTANT_LIB_DIR}/qhelpindexwidget.cpp \
    $${ASSISTANT_LIB_DIR}/qhelpgenerator.cpp \
    $${ASSISTANT_LIB_DIR}/qhelpdatainterface.cpp \
    $${ASSISTANT_LIB_DIR}/qhelpprojectdata.cpp \
    $${ASSISTANT_LIB_DIR}/qhelpcollectionhandler.cpp \
    $${ASSISTANT_LIB_DIR}/qhelpsearchengine.cpp \
    $${ASSISTANT_LIB_DIR}/qhelpsearchquerywidget.cpp \
    $${ASSISTANT_LIB_DIR}/qhelpsearchresultwidget.cpp \
    $${ASSISTANT_LIB_DIR}/qhelpsearchindex_default.cpp \
    $${ASSISTANT_LIB_DIR}/qhelpsearchindexwriter_default.cpp \
    $${ASSISTANT_LIB_DIR}/qhelpsearchindexreader_default.cpp \

HEADERS += \
    $${ASSISTANT_LIB_DIR}/qhelpenginecore.h \
    $${ASSISTANT_LIB_DIR}/qhelpengine.h \
    $${ASSISTANT_LIB_DIR}/qhelpengine_p.h \
    $${ASSISTANT_LIB_DIR}/qhelp_global.h \
    $${ASSISTANT_LIB_DIR}/qhelpdbreader_p.h \
    $${ASSISTANT_LIB_DIR}/qhelpcontentwidget.h \
    $${ASSISTANT_LIB_DIR}/qhelpindexwidget.h \
    $${ASSISTANT_LIB_DIR}/qhelpgenerator_p.h \
    $${ASSISTANT_LIB_DIR}/qhelpdatainterface_p.h \
    $${ASSISTANT_LIB_DIR}/qhelpprojectdata_p.h \
    $${ASSISTANT_LIB_DIR}/qhelpcollectionhandler_p.h \
    $${ASSISTANT_LIB_DIR}/qhelpsearchengine.h \
    $${ASSISTANT_LIB_DIR}/qhelpsearchquerywidget.h \
    $${ASSISTANT_LIB_DIR}/qhelpsearchresultwidget.h \
    $${ASSISTANT_LIB_DIR}/qhelpsearchindex_default_p.h \
    $${ASSISTANT_LIB_DIR}/qhelpsearchindexwriter_default_p.h \
    $${ASSISTANT_LIB_DIR}/qhelpsearchindexreader_default_p.h \

INCLUDEPATH += $${ASSISTANT_LIB_DIR}

SOURCES += \
    htmlhelpdatainterface.cpp \
    htmlhelpparser.cpp \
    qthelpprojectwriter.cpp \
    simplehtmlparser.cpp \
    \
    doxygen2qthelp.cpp \

HEADERS += \
    htmlhelpdatainterface_p.h \
    htmlhelpparser_p.h \
    qthelpprojectwriter_p.h \
    simplehtmlparser_p.h \
    \
    simplehtmlreceiver_p.h \

